> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tracecat.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Agent Settings



## OpenAPI

````yaml https://platform.tracecat.com/api/openapi.json get /settings/agent
openapi: 3.1.0
info:
  title: Tracecat API
  summary: Tracecat API
  description: The open source AI automation platform for security teams and agents.
  termsOfService: >-
    https://docs.google.com/document/d/e/2PACX-1vQvDe3SoVAPoQc51MgfGCP71IqFYX_rMVEde8zC4qmBCec5f8PLKQRdxa6tsUABT8gWAR9J-EVs2CrQ/pub
  contact:
    name: Tracecat Founders
    email: founders@tracecat.com
  license:
    name: AGPL-3.0
    url: https://www.gnu.org/licenses/agpl-3.0.html
  version: '1'
servers:
  - url: /api
security: []
tags:
  - name: public
    description: Public facing endpoints
  - name: workflows
    description: Workflow management
  - name: actions
    description: Action management
  - name: triggers
    description: Workflow triggers
  - name: secrets
    description: Secret management
  - name: variables
    description: Workspace variable management
paths:
  /settings/agent:
    get:
      tags:
        - settings
      summary: Get Agent Settings
      operationId: settings-get_agent_settings
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentSettingsRead'
      security:
        - APIKeyCookie: []
components:
  schemas:
    AgentSettingsRead:
      properties:
        agent_default_model:
          anyOf:
            - type: string
            - type: 'null'
          title: Agent Default Model
        agent_fixed_args:
          anyOf:
            - type: string
            - type: 'null'
          title: Agent Fixed Args
        agent_case_chat_prompt:
          type: string
          title: Agent Case Chat Prompt
        agent_case_chat_inject_content:
          type: boolean
          title: Agent Case Chat Inject Content
      type: object
      required:
        - agent_default_model
        - agent_fixed_args
        - agent_case_chat_prompt
        - agent_case_chat_inject_content
      title: AgentSettingsRead
  securitySchemes:
    APIKeyCookie:
      type: apiKey
      in: cookie
      name: fastapiusersauth

````